% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R, R/primorial.R
\name{primorial_n}
\alias{primorial_n}
\alias{primorial_p}
\alias{primorial}
\title{Compute the Primorial}
\usage{
primorial_n(n)

primorial_p(n)
}
\arguments{
\item{n}{an integer indicating the numbers to be used in the computation. See
\emph{Details} for more information.}
}
\description{
Computes the primorial for prime numbers and natural numbers.
}
\details{
The \code{primorial_p} function computes the primorial with respect the the first
\code{n} \emph{prime} numbers; while the \code{primorial_n} function computes the primorial
with respect the the first \code{n} \emph{natural} numbers.

Be careful of integer overflow. Currently, R uses signed 32-bit integers, so
numbers greater than 2**31 cannot be represented. This means any primorial
using prime numbers 29 or greater will fail.
}
\author{
Paul Egeler, MS
}
